#include<bits/stdc++.h>
using namespace std;
//int a[20001];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,t,k,prvi; cin>>n>>k; bool bo = false;
    cin>>prvi;
    if(prvi==k) bo=true;
    for(int i = 1; i<n; i++){
        cin>>t;
        if(bo){ cout<<t; bo=false; break;}
        if(t==k) bo = true;
    }
    if(bo) cout<<prvi;
    return 0;
}